cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ > Struct Template Reference

`#include <gemm_batched.h>`

## Classes

struct | Params
| Parameters structure. More...
union | SharedStorage
| Shared memory storage structure. More...

## Public Types

using | Mma = Mma_
using | Epilogue = Epilogue_
using | OutputOp = typename Epilogue::OutputOp
using | ThreadblockSwizzle = ThreadblockSwizzle_
using | WarpCount = typename Mma::WarpCount
| Warp count (concept: GemmShape) More...

## Public Member Functions

CUTLASS_HOST_DEVICE | GemmBatched ()
CUTLASS_DEVICE void | operator() (Params const &params, SharedStorage &shared_storage)
| Executes one GEMM. More...

## Static Public Attributes

static int const | kThreadCount = 32 * WarpCount::kCount

## Member Typedef Documentation

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

using cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::Epilogue = Epilogue_

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

using cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::Mma = Mma_

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

using cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::OutputOp = typename Epilogue::OutputOp

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

using cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::ThreadblockSwizzle = ThreadblockSwizzle_

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

using cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::WarpCount = typename Mma::WarpCount

## Constructor & Destructor Documentation

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

CUTLASS_HOST_DEVICE cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::GemmBatched | ( |  | ) |

inline

## Member Function Documentation

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

CUTLASS_DEVICE void cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::operator() | ( | Params const & | params,
|  | SharedStorage & | shared_storage
| ) |  |

inline

## Member Data Documentation

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

int const cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::kThreadCount = 32 * WarpCount::kCount

static

The documentation for this struct was generated from the following file:

- kernel/gemm_batched.h